// Теоретический вопрос
//
// Описать своими словами в несколько строчек, зачем в программировании нужны циклы.

//С помощью циклов можно организовать повторение выполнения участков кода,
// что в свою очерель способствует экономии памяти отводимой под програмные инструкции
//


//     Задание
// Реализовать программу на Javascript, которая будет находить все числа кратные 5
// (делятся на 5 без остатка) в заданном диапазоне.
//
//     Технические требования:
//
//     Считать с помощью модального окна браузера число, которое введет пользователь.
//     Вывести в консоли все числа кратные 5, от 0 до введенного пользователем числа.
//     Если таких чисел нету - вывести в консоль фразу `Sorry, no numbers'
// Обязательно необходимо использовать синтаксис ES6 (ES2015) при создании переменных.
//
//
// Необязательное задание продвинутой сложности:
//
// Проверить, что введенное значение является целым числом. Если данное условие не соблюдается,
// повторять вывод окна на экран до тех пор, пока не будет введено целое число.
// Считать два числа, m и n. Вывести в консоль все простые числа
// (http://ru.math.wikia.com/wiki/%D0%9F%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5_%D1%87%D0%B8%D1%81%D0%BB%D0%BE)
// в диапазоне от m до n (меньшее из введенных чисел будет m, бОльшее будет n).
// Если хотя бы одно из чисел не соблюдает условие валидации, указанное выше, вывести сообщение об ошибке,
// и спросить оба числа заново.


let numberInput = parseInt(prompt("Введите число", ''));
let buffer = "";
for (let num = 0; num <= numberInput; num++) {
    if (num % 5 === 0 ) {
        buffer += num +"\n";
    }
}
if (buffer.length > 0) {
    console.log(buffer)
} else {
    console.log("Sorry, no numbers");
}


// function main() {
//     let m = parseInt(prompt("Введите число m", ''));
//     let n = parseInt(prompt("Введите число n", ''));
//
//     validate(m,n);
//
//     for (let i = m; i <= n; i++) {
//         if (isPrime(i)) {
//             console.log(i);
//         }
//     }
// }
//
// function validate(m, n) {
//     if( m > n) {
//         main();
//     }
// }
//
// function isPrime(number) {
//     for (let j = 2; j < number; j++) {
//         if (number % j === 0) {
//             return false;
//         }
//     }
//
//     return true;
// }
//
// main();

